View Issue Details

This bug affects 1 person(s).
 4
IDProjectCategoryView StatusLast Update
06343Bug reportsInstallationpublic2012-07-20 10:36
Reporterlolo Assigned Toc_schmitz  
PrioritynormalSeveritypartial_block 
Status closedResolutionfixed 
Product Version2.00RC5 
Fixed in Version2.00RC7 
Summary06343: DB Error during fresh install
DescriptionDuring install, the error joined in attachment (see file "yes.html") happens at the "Database upgrade" step.
Steps To Reproduce- create new empty database (or re-use existing one)
- uncompress LS 2.00RC5 on web server
- start install process [OK]
- enter DB credentials (for previously created db) [OK]
- enter admin credentials [OK]
... lime_ tables are correcly created in db... [OK]
- Install says "Database upgrade : Please verify the following information before continuing with the database upgrade:"
- continue

=> error:
CDbException:
CDbCommand failed to execute the SQL statement: SQLSTATE[42S21]: Column already exists: 1060 Duplicate column name 'date_invited'. The SQL statement executed was: ALTER TABLE `lime_survey_links` ADD `date_invited` datetime NULL default NULL

The error happens regardless of whether a previous LS installation has been done in the same database (happens also with a new empty database).
TagsNo tags attached.
Bug heat4
Complete LimeSurvey version number (& build)120719
I will donate to the project if issue is resolvedNo
BrowserMozilla Firefox 13.0.1
Database & DB-VersionMysql 5.5.24
Server OS (if known)Linux 2.6.27.52
Webserver software & version (if known)Apache 2
PHP Version5.3.14

Users monitoring this issue

User List fransmarcelissen

Activities

lolo

lolo

2012-07-19 15:33

reporter  

yes.htm (25,755 bytes)   
<!DOCTYPE html PUBLIC
	"-//W3C//DTD XHTML 1.0 Transitional//EN"
	"http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="en" lang="en">
<head>
<meta http-equiv="Content-Type" content="text/html; charset=utf-8"/>
<title>CDbException</title>

<style type="text/css">
/*<![CDATA[*/
html,body,div,span,applet,object,iframe,h1,h2,h3,h4,h5,h6,p,blockquote,pre,a,abbr,acronym,address,big,cite,code,del,dfn,em,font,img,ins,kbd,q,s,samp,small,strike,strong,sub,sup,tt,var,b,u,i,center,dl,dt,dd,ol,ul,li,fieldset,form,label,legend,table,caption,tbody,tfoot,thead,tr,th,td{border:0;outline:0;font-size:100%;vertical-align:baseline;background:transparent;margin:0;padding:0;}
body{line-height:1;}
ol,ul{list-style:none;}
blockquote,q{quotes:none;}
blockquote:before,blockquote:after,q:before,q:after{content:none;}
:focus{outline:0;}
ins{text-decoration:none;}
del{text-decoration:line-through;}
table{border-collapse:collapse;border-spacing:0;}

body {
	font: normal 9pt "Verdana";
	color: #000;
	background: #fff;
}

h1 {
	font: normal 18pt "Verdana";
	color: #f00;
	margin-bottom: .5em;
}

h2 {
	font: normal 14pt "Verdana";
	color: #800000;
	margin-bottom: .5em;
}

h3 {
	font: bold 11pt "Verdana";
}

pre {
	font: normal 11pt Menlo, Consolas, "Lucida Console", Monospace;
}

pre span.error {
	display: block;
	background: #fce3e3;
}

pre span.ln {
	color: #999;
	padding-right: 0.5em;
	border-right: 1px solid #ccc;
}

pre span.error-ln {
	font-weight: bold;
}

.container {
	margin: 1em 4em;
}

.version {
	color: gray;
	font-size: 8pt;
	border-top: 1px solid #aaa;
	padding-top: 1em;
	margin-bottom: 1em;
}

.message {
	color: #000;
	padding: 1em;
	font-size: 11pt;
	background: #f3f3f3;
	-webkit-border-radius: 10px;
	-moz-border-radius: 10px;
	border-radius: 10px;
	margin-bottom: 1em;
	line-height: 160%;
}

.source {
	margin-bottom: 1em;
}

.code pre {
	background-color: #ffe;
	margin: 0.5em 0;
	padding: 0.5em;
	line-height: 125%;
	border: 1px solid #eee;
}

.source .file {
	margin-bottom: 1em;
	font-weight: bold;
}

.traces {
	margin: 2em 0;
}

.trace {
	margin: 0.5em 0;
	padding: 0.5em;
}

.trace.app {
	border: 1px dashed #c00;
}

.trace .number {
	text-align: right;
	width: 2em;
	padding: 0.5em;
}

.trace .content {
	padding: 0.5em;
}

.trace .plus,
.trace .minus {
	display:inline;
	vertical-align:middle;
	text-align:center;
	border:1px solid #000;
	color:#000;
	font-size:10px;
	line-height:10px;
	margin:0;
	padding:0 1px;
	width:10px;
	height:10px;
}

.trace.collapsed .minus,
.trace.expanded .plus,
.trace.collapsed pre {
	display: none;
}

.trace-file {
	cursor: pointer;
	padding: 0.2em;
}

.trace-file:hover {
	background: #f0ffff;
}
/*]]>*/
</style>
</head>

<body>
<div class="container">
	<h1>CDbException</h1>

	<p class="message">
		CDbCommand failed to execute the SQL statement: SQLSTATE[42S21]: Column already exists: 1060 Duplicate column name &#039;date_invited&#039;. The SQL statement executed was: ALTER TABLE `lime2_survey_links` ADD `date_invited` datetime NULL default NULL	</p>

	<div class="source">
		<p class="file">/home/www/34ab61b960fc324dd606bf69bfc25b8b/web/limesurvey/framework/db/CDbCommand.php(354)</p>
		<div class="code"><pre><span class="ln">342</span>             return $n;
<span class="ln">343</span>         }
<span class="ln">344</span>         catch(Exception $e)
<span class="ln">345</span>         {
<span class="ln">346</span>             if($this-&gt;_connection-&gt;enableProfiling)
<span class="ln">347</span>                 Yii::endProfile(&#039;system.db.CDbCommand.execute(&#039;.$this-&gt;getText().&#039;)&#039;,&#039;system.db.CDbCommand.execute&#039;);
<span class="ln">348</span>             $errorInfo = $e instanceof PDOException ? $e-&gt;errorInfo : null;
<span class="ln">349</span>             $message = $e-&gt;getMessage();
<span class="ln">350</span>             Yii::log(Yii::t(&#039;yii&#039;,&#039;CDbCommand::execute() failed: {error}. The SQL statement executed was: {sql}.&#039;,
<span class="ln">351</span>                 array(&#039;{error}&#039;=&gt;$message, &#039;{sql}&#039;=&gt;$this-&gt;getText().$par)),CLogger::LEVEL_ERROR,&#039;system.db.CDbCommand&#039;);
<span class="ln">352</span>             if(YII_DEBUG)
<span class="ln">353</span>                 $message .= &#039;. The SQL statement executed was: &#039;.$this-&gt;getText().$par;
<span class="error"><span class="ln error-ln">354</span>             throw new CDbException(Yii::t(&#039;yii&#039;,&#039;CDbCommand failed to execute the SQL statement: {error}&#039;,
</span><span class="ln">355</span>                 array(&#039;{error}&#039;=&gt;$message)),(int)$e-&gt;getCode(),$errorInfo);
<span class="ln">356</span>         }
<span class="ln">357</span>     }
<span class="ln">358</span> 
<span class="ln">359</span>     /**
<span class="ln">360</span>      * Executes the SQL statement and returns query result.
<span class="ln">361</span>      * This method is for executing an SQL query that returns result set.
<span class="ln">362</span>      * @param array $params input parameters (name=&gt;value) for the SQL execution. This is an alternative
<span class="ln">363</span>      * to {@link bindParam} and {@link bindValue}. If you have multiple input parameters, passing
<span class="ln">364</span>      * them in this way can improve the performance. Note that if you pass parameters in this way,
<span class="ln">365</span>      * you cannot bind parameters or values using {@link bindParam} or {@link bindValue}, and vice versa.
<span class="ln">366</span>      * binding methods and  the input parameters this way can improve the performance.
</pre></div>	</div>

	<div class="traces">
		<h2>Stack Trace</h2>
				<table style="width:100%;">
						<tr class="trace core collapsed">
			<td class="number">
				#0			</td>
			<td class="content">
				<div class="trace-file">
											<div class="plus">+</div>
						<div class="minus">–</div>
										&nbsp;/home/www/34ab61b960fc324dd606bf69bfc25b8b/web/limesurvey/framework/db/CDbCommand.php(1304): <strong>CDbCommand</strong>-><strong>execute</strong>()				</div>

				<div class="code"><pre><span class="ln">1299</span>      * @return integer number of rows affected by the execution.
<span class="ln">1300</span>      * @since 1.1.6
<span class="ln">1301</span>      */
<span class="ln">1302</span>     public function addColumn($table, $column, $type)
<span class="ln">1303</span>     {
<span class="error"><span class="ln error-ln">1304</span>         return $this-&gt;setText($this-&gt;getConnection()-&gt;getSchema()-&gt;addColumn($table, $column, $type))-&gt;execute();
</span><span class="ln">1305</span>     }
<span class="ln">1306</span> 
<span class="ln">1307</span>     /**
<span class="ln">1308</span>      * Builds and executes a SQL statement for dropping a DB column.
<span class="ln">1309</span>      * @param string $table the table whose column is to be dropped. The name will be properly quoted by the method.
</pre></div>			</td>
		</tr>
						<tr class="trace app expanded">
			<td class="number">
				#1			</td>
			<td class="content">
				<div class="trace-file">
											<div class="plus">+</div>
						<div class="minus">–</div>
										&nbsp;/home/www/34ab61b960fc324dd606bf69bfc25b8b/web/limesurvey/application/helpers/update/updatedb_helper.php(1696): <strong>CDbCommand</strong>-><strong>addColumn</strong>(&quot;{{survey_links}}&quot;, &quot;date_invited&quot;, &quot;datetime NULL default NULL&quot;)				</div>

				<div class="code"><pre><span class="ln">1691</span>     if ($sDBDriverName==&#039;mssql&#039;)
<span class="ln">1692</span>     {
<span class="ln">1693</span>         $sType=str_replace(&#039;text&#039;,&#039;varchar(max)&#039;,$sType);
<span class="ln">1694</span>         $sType=str_replace(&#039;binary&#039;,&#039;text&#039;,$sType);
<span class="ln">1695</span>     }
<span class="error"><span class="ln error-ln">1696</span>     Yii::app()-&gt;db-&gt;createCommand()-&gt;addColumn($sTableName,$sColumn,$sType);
</span><span class="ln">1697</span> }
<span class="ln">1698</span> 
<span class="ln">1699</span> 
<span class="ln">1700</span> 
<span class="ln">1701</span> function dropDefaultValueMSSQL($fieldname, $tablename)
</pre></div>			</td>
		</tr>
						<tr class="trace app expanded">
			<td class="number">
				#2			</td>
			<td class="content">
				<div class="trace-file">
											<div class="plus">+</div>
						<div class="minus">–</div>
										&nbsp;/home/www/34ab61b960fc324dd606bf69bfc25b8b/web/limesurvey/application/helpers/update/updatedb_helper.php(1014): <strong>addColumn</strong>(&quot;{{survey_links}}&quot;, &quot;date_invited&quot;, &quot;datetime NULL default NULL&quot;)				</div>

				<div class="code"><pre><span class="ln">1009</span>         alterLanguageCode(&#039;it-formal&#039;,&#039;it&#039;);
<span class="ln">1010</span>         Yii::app()-&gt;db-&gt;createCommand()-&gt;update(&#039;{{settings_global}}&#039;,array(&#039;stg_value&#039;=&gt;160),&quot;stg_name=&#039;DBVersion&#039;&quot;);
<span class="ln">1011</span>     }
<span class="ln">1012</span>     if ($oldversion &lt; 161)
<span class="ln">1013</span>     {
<span class="error"><span class="ln error-ln">1014</span>         addColumn(&#039;{{survey_links}}&#039;,&#039;date_invited&#039;,&#039;datetime NULL default NULL&#039;);
</span><span class="ln">1015</span>         addColumn(&#039;{{survey_links}}&#039;,&#039;date_completed&#039;,&#039;datetime NULL default NULL&#039;);
<span class="ln">1016</span>     }
<span class="ln">1017</span> 
<span class="ln">1018</span>     fixLanguageConsistencyAllSurveys();
<span class="ln">1019</span>     echo &#039;&lt;br /&gt;&lt;br /&gt;&#039;.sprintf($clang-&gt;gT(&#039;Database update finished (%s)&#039;),date(&#039;Y-m-d H:i:s&#039;)).&#039;&lt;br /&gt;&lt;br /&gt;&#039;;
</pre></div>			</td>
		</tr>
						<tr class="trace app expanded">
			<td class="number">
				#3			</td>
			<td class="content">
				<div class="trace-file">
											<div class="plus">+</div>
						<div class="minus">–</div>
										&nbsp;/home/www/34ab61b960fc324dd606bf69bfc25b8b/web/limesurvey/application/helpers/update/update_helper.php(34): <strong>db_upgrade_all</strong>(160)				</div>

				<div class="code"><pre><span class="ln">29</span>         if(isset($subaction) &amp;&amp; $subaction==&quot;yes&quot;)
<span class="ln">30</span>         {
<span class="ln">31</span>             echo Yii::app()-&gt;getController()-&gt;_getAdminHeader();
<span class="ln">32</span>             echo &quot;&lt;div style=&#039;width:90%; padding:1% 5%;background-color:#eee;&#039;&gt;&quot;;
<span class="ln">33</span>             Yii::app()-&gt;loadHelper(&#039;update/updatedb&#039;);
<span class="error"><span class="ln error-ln">34</span>             db_upgrade_all(intval($currentDBVersion));
</span><span class="ln">35</span>             Yii::app()-&gt;db-&gt;createCommand()-&gt;update(&#039;{{settings_global}}&#039;, array(&#039;stg_value&#039; =&gt; intval($dbversionnumber)), &#039;stg_name = \&#039;DBVersion\&#039;&#039;);
<span class="ln">36</span>             $data = &quot;&lt;br /&gt;&quot;.sprintf($clang-&gt;gT(&quot;Database has been successfully upgraded to version %s&quot;),$dbversionnumber);
<span class="ln">37</span>             $data .= &quot;&lt;br /&gt;&lt;a href=&#039;&quot;.Yii::app()-&gt;getController()-&gt;createUrl(&quot;/admin&quot;).&quot;&#039;&gt;&quot;.$clang-&gt;gT(&quot;Back to main menu&quot;).&quot;&lt;/a&gt;&lt;/div&gt;&quot;;
<span class="ln">38</span>             return $data;
<span class="ln">39</span>         }
</pre></div>			</td>
		</tr>
						<tr class="trace app collapsed">
			<td class="number">
				#4			</td>
			<td class="content">
				<div class="trace-file">
											<div class="plus">+</div>
						<div class="minus">–</div>
										&nbsp;/home/www/34ab61b960fc324dd606bf69bfc25b8b/web/limesurvey/application/controllers/admin/update.php(538): <strong>CheckForDBUpgrades</strong>(&quot;yes&quot;)				</div>

				<div class="code"><pre><span class="ln">533</span>     {
<span class="ln">534</span>         $clang = $this-&gt;getController()-&gt;lang;
<span class="ln">535</span>         Yii::app()-&gt;loadHelper(&quot;update/update&quot;);
<span class="ln">536</span>         if(isset($continue) &amp;&amp; $continue==&quot;yes&quot;)
<span class="ln">537</span>         {
<span class="error"><span class="ln error-ln">538</span>             $aViewUrls[&#039;output&#039;] = CheckForDBUpgrades($continue);
</span><span class="ln">539</span>             updateCheck();
<span class="ln">540</span>             $aData[&#039;display&#039;][&#039;header&#039;] = false;
<span class="ln">541</span>         }
<span class="ln">542</span>         else
<span class="ln">543</span>         {
</pre></div>			</td>
		</tr>
						<tr class="trace core collapsed">
			<td class="number">
				#5			</td>
			<td class="content">
				<div class="trace-file">
										&nbsp;unknown(0): <strong>update</strong>-><strong>db</strong>(&quot;yes&quot;)				</div>

							</td>
		</tr>
						<tr class="trace core collapsed">
			<td class="number">
				#6			</td>
			<td class="content">
				<div class="trace-file">
											<div class="plus">+</div>
						<div class="minus">–</div>
										&nbsp;/home/www/34ab61b960fc324dd606bf69bfc25b8b/web/limesurvey/framework/web/actions/CAction.php(107): <strong>ReflectionMethod</strong>-><strong>invokeArgs</strong>(update, array(&quot;yes&quot;))				</div>

				<div class="code"><pre><span class="ln">102</span>             else if($param-&gt;isDefaultValueAvailable())
<span class="ln">103</span>                 $ps[]=$param-&gt;getDefaultValue();
<span class="ln">104</span>             else
<span class="ln">105</span>                 return false;
<span class="ln">106</span>         }
<span class="error"><span class="ln error-ln">107</span>         $method-&gt;invokeArgs($object,$ps);
</span><span class="ln">108</span>         return true;
<span class="ln">109</span>     }
<span class="ln">110</span> }
</pre></div>			</td>
		</tr>
						<tr class="trace app collapsed">
			<td class="number">
				#7			</td>
			<td class="content">
				<div class="trace-file">
											<div class="plus">+</div>
						<div class="minus">–</div>
										&nbsp;/home/www/34ab61b960fc324dd606bf69bfc25b8b/web/limesurvey/application/core/Survey_Common_Action.php(82): <strong>CAction</strong>-><strong>runWithParamsInternal</strong>(update, ReflectionMethod, array(&quot;continue&quot; =&gt; &quot;yes&quot;, &quot;sa&quot; =&gt; &quot;db&quot;))				</div>

				<div class="code"><pre><span class="ln">77</span>             $oMethod = new ReflectionMethod($this, $sDefault);
<span class="ln">78</span>         }
<span class="ln">79</span> 
<span class="ln">80</span>         // We&#039;re all good to go, let&#039;s execute it
<span class="ln">81</span>         // runWithParamsInternal would automatically get the parameters of the method and populate them as required with the params
<span class="error"><span class="ln error-ln">82</span>         return parent::runWithParamsInternal($this, $oMethod, $params);
</span><span class="ln">83</span>     }
<span class="ln">84</span> 
<span class="ln">85</span>     /**
<span class="ln">86</span>     * Some functions have different parameters, which are just an alias of the
<span class="ln">87</span>     * usual parameters we&#039;re getting in the url. This function just populates
</pre></div>			</td>
		</tr>
						<tr class="trace core collapsed">
			<td class="number">
				#8			</td>
			<td class="content">
				<div class="trace-file">
											<div class="plus">+</div>
						<div class="minus">–</div>
										&nbsp;/home/www/34ab61b960fc324dd606bf69bfc25b8b/web/limesurvey/framework/web/CController.php(309): <strong>Survey_Common_Action</strong>-><strong>runWithParams</strong>(array(&quot;continue&quot; =&gt; &quot;yes&quot;, &quot;sa&quot; =&gt; &quot;db&quot;))				</div>

				<div class="code"><pre><span class="ln">304</span>     {
<span class="ln">305</span>         $priorAction=$this-&gt;_action;
<span class="ln">306</span>         $this-&gt;_action=$action;
<span class="ln">307</span>         if($this-&gt;beforeAction($action))
<span class="ln">308</span>         {
<span class="error"><span class="ln error-ln">309</span>             if($action-&gt;runWithParams($this-&gt;getActionParams())===false)
</span><span class="ln">310</span>                 $this-&gt;invalidActionParams($action);
<span class="ln">311</span>             else
<span class="ln">312</span>                 $this-&gt;afterAction($action);
<span class="ln">313</span>         }
<span class="ln">314</span>         $this-&gt;_action=$priorAction;
</pre></div>			</td>
		</tr>
						<tr class="trace core collapsed">
			<td class="number">
				#9			</td>
			<td class="content">
				<div class="trace-file">
											<div class="plus">+</div>
						<div class="minus">–</div>
										&nbsp;/home/www/34ab61b960fc324dd606bf69bfc25b8b/web/limesurvey/framework/web/CController.php(287): <strong>CController</strong>-><strong>runAction</strong>(update)				</div>

				<div class="code"><pre><span class="ln">282</span>      * @see runAction
<span class="ln">283</span>      */
<span class="ln">284</span>     public function runActionWithFilters($action,$filters)
<span class="ln">285</span>     {
<span class="ln">286</span>         if(empty($filters))
<span class="error"><span class="ln error-ln">287</span>             $this-&gt;runAction($action);
</span><span class="ln">288</span>         else
<span class="ln">289</span>         {
<span class="ln">290</span>             $priorAction=$this-&gt;_action;
<span class="ln">291</span>             $this-&gt;_action=$action;
<span class="ln">292</span>             CFilterChain::create($this,$action,$filters)-&gt;run();
</pre></div>			</td>
		</tr>
						<tr class="trace core collapsed">
			<td class="number">
				#10			</td>
			<td class="content">
				<div class="trace-file">
											<div class="plus">+</div>
						<div class="minus">–</div>
										&nbsp;/home/www/34ab61b960fc324dd606bf69bfc25b8b/web/limesurvey/framework/web/CController.php(266): <strong>CController</strong>-><strong>runActionWithFilters</strong>(update, array())				</div>

				<div class="code"><pre><span class="ln">261</span>         {
<span class="ln">262</span>             if(($parent=$this-&gt;getModule())===null)
<span class="ln">263</span>                 $parent=Yii::app();
<span class="ln">264</span>             if($parent-&gt;beforeControllerAction($this,$action))
<span class="ln">265</span>             {
<span class="error"><span class="ln error-ln">266</span>                 $this-&gt;runActionWithFilters($action,$this-&gt;filters());
</span><span class="ln">267</span>                 $parent-&gt;afterControllerAction($this,$action);
<span class="ln">268</span>             }
<span class="ln">269</span>         }
<span class="ln">270</span>         else
<span class="ln">271</span>             $this-&gt;missingAction($actionID);
</pre></div>			</td>
		</tr>
						<tr class="trace app collapsed">
			<td class="number">
				#11			</td>
			<td class="content">
				<div class="trace-file">
											<div class="plus">+</div>
						<div class="minus">–</div>
										&nbsp;/home/www/34ab61b960fc324dd606bf69bfc25b8b/web/limesurvey/application/controllers/AdminController.php(158): <strong>CController</strong>-><strong>run</strong>(&quot;update&quot;)				</div>

				<div class="code"><pre><span class="ln">153</span>                 Yii::app()-&gt;session[&#039;redirectopage&#039;] = Yii::app()-&gt;request-&gt;requestUri;
<span class="ln">154</span> 
<span class="ln">155</span>                 $this-&gt;redirect($this-&gt;createUrl(&#039;/admin/authentication/login&#039;));
<span class="ln">156</span>             }
<span class="ln">157</span> 
<span class="error"><span class="ln error-ln">158</span>             return parent::run($action);
</span><span class="ln">159</span>     }
<span class="ln">160</span> 
<span class="ln">161</span>     /**
<span class="ln">162</span>     * Routes all the actions to their respective places
<span class="ln">163</span>     *
</pre></div>			</td>
		</tr>
						<tr class="trace core collapsed">
			<td class="number">
				#12			</td>
			<td class="content">
				<div class="trace-file">
											<div class="plus">+</div>
						<div class="minus">–</div>
										&nbsp;/home/www/34ab61b960fc324dd606bf69bfc25b8b/web/limesurvey/framework/web/CWebApplication.php(276): <strong>AdminController</strong>-><strong>run</strong>(&quot;update&quot;)				</div>

				<div class="code"><pre><span class="ln">271</span>         {
<span class="ln">272</span>             list($controller,$actionID)=$ca;
<span class="ln">273</span>             $oldController=$this-&gt;_controller;
<span class="ln">274</span>             $this-&gt;_controller=$controller;
<span class="ln">275</span>             $controller-&gt;init();
<span class="error"><span class="ln error-ln">276</span>             $controller-&gt;run($actionID);
</span><span class="ln">277</span>             $this-&gt;_controller=$oldController;
<span class="ln">278</span>         }
<span class="ln">279</span>         else
<span class="ln">280</span>             throw new CHttpException(404,Yii::t(&#039;yii&#039;,&#039;Unable to resolve the request &quot;{route}&quot;.&#039;,
<span class="ln">281</span>                 array(&#039;{route}&#039;=&gt;$route===&#039;&#039;?$this-&gt;defaultController:$route)));
</pre></div>			</td>
		</tr>
						<tr class="trace core collapsed">
			<td class="number">
				#13			</td>
			<td class="content">
				<div class="trace-file">
											<div class="plus">+</div>
						<div class="minus">–</div>
										&nbsp;/home/www/34ab61b960fc324dd606bf69bfc25b8b/web/limesurvey/framework/web/CWebApplication.php(135): <strong>CWebApplication</strong>-><strong>runController</strong>(&quot;admin/update/sa/db&quot;)				</div>

				<div class="code"><pre><span class="ln">130</span>             foreach(array_splice($this-&gt;catchAllRequest,1) as $name=&gt;$value)
<span class="ln">131</span>                 $_GET[$name]=$value;
<span class="ln">132</span>         }
<span class="ln">133</span>         else
<span class="ln">134</span>             $route=$this-&gt;getUrlManager()-&gt;parseUrl($this-&gt;getRequest());
<span class="error"><span class="ln error-ln">135</span>         $this-&gt;runController($route);
</span><span class="ln">136</span>     }
<span class="ln">137</span> 
<span class="ln">138</span>     /**
<span class="ln">139</span>      * Registers the core application components.
<span class="ln">140</span>      * This method overrides the parent implementation by registering additional core components.
</pre></div>			</td>
		</tr>
						<tr class="trace core collapsed">
			<td class="number">
				#14			</td>
			<td class="content">
				<div class="trace-file">
											<div class="plus">+</div>
						<div class="minus">–</div>
										&nbsp;/home/www/34ab61b960fc324dd606bf69bfc25b8b/web/limesurvey/framework/base/CApplication.php(162): <strong>CWebApplication</strong>-><strong>processRequest</strong>()				</div>

				<div class="code"><pre><span class="ln">157</span>      */
<span class="ln">158</span>     public function run()
<span class="ln">159</span>     {
<span class="ln">160</span>         if($this-&gt;hasEventHandler(&#039;onBeginRequest&#039;))
<span class="ln">161</span>             $this-&gt;onBeginRequest(new CEvent($this));
<span class="error"><span class="ln error-ln">162</span>         $this-&gt;processRequest();
</span><span class="ln">163</span>         if($this-&gt;hasEventHandler(&#039;onEndRequest&#039;))
<span class="ln">164</span>             $this-&gt;onEndRequest(new CEvent($this));
<span class="ln">165</span>     }
<span class="ln">166</span> 
<span class="ln">167</span>     /**
</pre></div>			</td>
		</tr>
						<tr class="trace app collapsed">
			<td class="number">
				#15			</td>
			<td class="content">
				<div class="trace-file">
											<div class="plus">+</div>
						<div class="minus">–</div>
										&nbsp;/home/www/34ab61b960fc324dd606bf69bfc25b8b/web/limesurvey/index.php(171): <strong>CApplication</strong>-><strong>run</strong>()				</div>

				<div class="code"><pre><span class="ln">166</span>  *
<span class="ln">167</span>  */
<span class="ln">168</span> require_once BASEPATH . &#039;yii&#039; . EXT;
<span class="ln">169</span> require_once APPPATH . &#039;core/LSYii_Application&#039; . EXT;
<span class="ln">170</span> 
<span class="error"><span class="ln error-ln">171</span> Yii::createApplication(&#039;LSYii_Application&#039;, APPPATH . &#039;config/config&#039; . EXT)-&gt;run();
</span><span class="ln">172</span> 
<span class="ln">173</span> /* End of file index.php */
<span class="ln">174</span> /* Location: ./index.php */</pre></div>			</td>
		</tr>
				</table>
	</div>

	<div class="version">
		2012-07-19 15:18:43 Apache <a href="http://www.yiiframework.com/">Yii Framework</a>/1.1.10	</div>
</div>

<script type="text/javascript">
/*<![CDATA[*/
var traceReg = new RegExp("(^|\\s)trace-file(\\s|$)");
var collapsedReg = new RegExp("(^|\\s)collapsed(\\s|$)");

var e = document.getElementsByTagName("div");
for(var j=0,len=e.length;j<len;j++){
	if(traceReg.test(e[j].className)){
		e[j].onclick = function(){
			var trace = this.parentNode.parentNode;
			if(collapsedReg.test(trace.className))
				trace.className = trace.className.replace("collapsed", "expanded");
			else
				trace.className = trace.className.replace("expanded", "collapsed");
		}
	}
}
/*]]>*/
</script>

</body>
</html>
yes.htm (25,755 bytes)   
c_schmitz

c_schmitz

2012-07-19 23:09

administrator   ~19816

Fix committed to Yii branch: http://bugs.limesurvey.org/plugin.php?page=Source/view&id=9051
c_schmitz

c_schmitz

2012-07-20 10:36

administrator   ~19861

RC7 released

Related Changesets

LimeSurvey: Yii cb9cf613

2012-07-19 14:08:44

c_schmitz

Details Diff
Fixed issue 06343: Fatal DB Error during fresh install Affected Issues
06343
mod - installer/sql/create-mssql.sql Diff File
mod - installer/sql/create-mysql.sql Diff File
mod - installer/sql/create-pgsql.sql Diff File

Issue History

Date Modified Username Field Change
2012-07-19 15:33 lolo New Issue
2012-07-19 15:33 lolo File Added: yes.htm
2012-07-19 17:03 fransmarcelissen Issue Monitored: fransmarcelissen
2012-07-19 22:56 c_schmitz Assigned To => jcleeland
2012-07-19 22:56 c_schmitz Status new => assigned
2012-07-19 23:08 c_schmitz Assigned To jcleeland => c_schmitz
2012-07-19 23:09 c_schmitz Changeset attached => LimeSurvey Yii cb9cf613
2012-07-19 23:09 c_schmitz Note Added: 19816
2012-07-19 23:09 c_schmitz Resolution open => fixed
2012-07-19 23:13 c_schmitz Status assigned => resolved
2012-07-19 23:13 c_schmitz Fixed in Version => 2.00RC7
2012-07-19 23:13 c_schmitz Product Version 2.00RC4 => 2.00RC5
2012-07-19 23:36 c_schmitz Summary [2.00RC5] DB Error during fresh install => DB Error during fresh install
2012-07-20 10:36 c_schmitz Note Added: 19861
2012-07-20 10:36 c_schmitz Status resolved => closed
2021-08-02 20:43 guest Bug heat 2 => 4